Create auth session
Create an auth session before auth process.
AI Actions
Create an auth session before auth process.
Authorization
Token_header_Authorization AuthorizationBearer <token>
In: header
Request Body
application/json
arrangement_idstring
Existing CDR arrangement ID to amend/update
cancel_uristring
Where the end user will be redirected on cancellation or failure. Required for redirect flows.
The end_user that will be consenting with an external provider
institution_idstring
The institution id selected for the auth session. The user will not be able to select another institution during the consent flow.
redirect_uristring
Where the end user will be redirected to on success. Required for redirect flow.
Response Body
application/json
application/vnd.goa.error
application/vnd.goa.error
application/vnd.goa.error
curl -X POST "https://api.fiskil.com/auth/session" \ -H "Content-Type: application/json" \ -d '{ "arrangement_id": "94549a73-a554-4b76-b824-d96898829751", "cancel_uri": "https://acme.com/cancel", "end_user_id": "eu_2yRHN2ag2y4p8kCtm5DOeccZEXB", "institution_id": "10", "redirect_uri": "https://acme.com/success" }'{
"auth_url": "auth-session.com/redirect-url",
"expires_at": 1213467,
"id": "5qcql2s0bn9qfh1m5qd1sl4gth",
"session_id": "ea564d-56012s4-6ds4564"
}{
"fault": true,
"id": "123abc",
"message": "parameter 'p' must be an integer",
"name": "bad_request",
"temporary": true,
"timeout": false
}{
"fault": true,
"id": "123abc",
"message": "parameter 'p' must be an integer",
"name": "bad_request",
"temporary": true,
"timeout": false
}{
"fault": true,
"id": "123abc",
"message": "parameter 'p' must be an integer",
"name": "bad_request",
"temporary": true,
"timeout": false
}Was this page helpful?